local celeste = require("#celeste")
local csharpVector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
	disableMovement()
	celeste.SpotlightWipe.FocusPoint = csharpVector2(326, 128)
	getRoom().Wipe = celeste.SpotlightWipe(getRoom(), false, nil)
	walk(72)
	wait(0.5)
	
	setFlag("beach_area",false)
	setFlag("snow_area",true)
	teleportTo(8, 120, "c01", "WalkInRight")
	
	wait(3.0)
	enableMovement()
end